## ros-noetic-capabilities 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(capabilities)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs std_srvs)

catkin_python_setup()

add_message_files(FILES
    Capability.msg
    CapabilityEvent.msg
    CapabilitySpec.msg
    Remapping.msg
    RunningCapability.msg
)

add_service_files(FILES
    EstablishBond.srv
    GetCapabilitySpec.srv
    FreeCapability.srv
    GetCapabilitySpecs.srv
    GetInterfaces.srv
    GetNodeletManagerName.srv
    GetProviders.srv
    GetRemappings.srv
    GetRunningCapabilities.srv
    GetSemanticInterfaces.srv
    StartCapability.srv
    StopCapability.srv
    UseCapability.srv
)

generate_messages(DEPENDENCIES std_msgs std_srvs)

catkin_package()

## Install scripts
install(PROGRAMS scripts/capability_server
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)
    catkin_add_nosetests(test)

    add_rostest(test/rostest/test_client/test_client_module.test)
    add_rostest(test/rostest/test_launch_manager/test_launch_manager.test)
    add_rostest(test/rostest/test_server/test_client.test)
    add_rostest(test/rostest/test_server/test_default_provider.test)
    add_rostest(test/rostest/test_server/test_dependent_capabilities.test)
    add_rostest(test/rostest/test_server/test_invalid_specs.test)
    add_rostest(test/rostest/test_server/test_package_white_black_lists.test)
    add_rostest(test/rostest/test_server/test_remapping.test)
    add_rostest(test/rostest/test_server/test_ros_services.test)
    add_rostest(test/rostest/test_server/test_white_black_lists.test)
    add_rostest(test/rostest/test_service_discovery/test_spec_index_from_service.test)
endif()

=== debian/changelog ===
ros-noetic-capabilities (0.3.1-1focal) focal; urgency=high

  * Updated ``package.xml`` to format 3 and and used condition dependencies to support Python3 (#91 <https://github.com/osrf/capabilities/issues/91>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Tue, 10 Mar 2020 07:00:00 -0000

ros-noetic-capabilities (0.3.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#89 <https://github.com/osrf/capabilities/issues/89>)
  * Fixed bug by pruning spec files by black/white lists #84 <https://github.com/osrf/capabilities/issues/84> from commaster90/fix-1
    This ensures ``GetCapabilitySpecs`` service returns the filtered specs.
  * Removed a faulty ``start_capability`` test.
    Can't rely on timing of calling ``stop_capability`` and then ``start_capability`` in quick succession, so this test can't be made to work reliably.
  * Updated discovery unit test.
  * Fixed typos in ``start_capabilities`` server.
  * Added test for restarting capabilities.
  * Export architecture_independent flag in package.xml
  * Changed to return an error if requested capability is already running.
    The ``start_capability`` service now returns an error code if it cannot start a capability because it is already running.
  * Contributors: Jon Binney, Patrick Chin, Scott K Logan, Shane Loretz, William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 09 Mar 2020 07:00:00 -0000

ros-noetic-capabilities (0.2.0-1focal) focal; urgency=high

  * downgrade one of the exceptions to a warning
  * fixup tests to reflect changes to client API
  * Increase queue_size to 1000 for publishers
  * Add queue_size arg for all publishers
  * change exception behavior for use/free_capability in client API
  * A rosdistro agnostic documentation reference
  * conditionally try to stop reverse deps, since other reverse deps may have already stopped it
  * make stopping the launch manager more robust to errors
  * adds support of namespaces for capability nodelets
  * Contributors: Jon Binney, Marcus Liebhardt, Nikolaus Demmel, William Woodall, kentsommer

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Jun 2014 07:00:00 -0000

ros-noetic-capabilities (0.1.1-1focal) focal; urgency=high

  * Add entry in setup.py to install package data
  * Fixed up testing
  * Updates link to API doc
  * Contributors: Marcus Liebhardt, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 02 May 2014 07:00:00 -0000

ros-noetic-capabilities (0.1.0-1focal) focal; urgency=high

  * First release
  * Contributors: Esteve Fernandez, Marcus Liebhardt, Tully Foote, William Woodall

 -- William Woodall <william@osrfoundation.org>  Tue, 15 Apr 2014 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-capabilities
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-coverage, python3-mock, python3-pep8, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-rosservice, ros-noetic-rostest, ros-noetic-std-msgs, ros-noetic-std-srvs
Homepage: http://wiki.ros.org/capabilities
Standards-Version: 3.9.2

Package: ros-noetic-capabilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-noetic-bondpy, ros-noetic-message-runtime, ros-noetic-nodelet, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-std-msgs, ros-noetic-std-srvs
Description: Package which implements capabilities, including code to parse capability interface specs, to parse capability provider specs, and implement the capability server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-capabilities//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
